httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul Querna <p...@querna.org>
Subject Re: [VOTE] Release httpd 2.3.4-alpha
Date Mon, 30 Nov 2009 20:11:29 GMT
On Mon, Nov 30, 2009 at 12:09 PM, Michael Felt <mamfelt@gmail.com> wrote:
>
>
> Trying to build on AIX with same setup as for 2.2.14.
>
>
>
> After unpacking both tar files
> using:
> ./configure --prefix=/usr/local/apache2 \
> --enable-layout=Apache \
> --enable-module=so \
> --enable-mods-shared=most \
> --with-z=/data/prj/zlib-1.2.3
>
> end result is:
>
> configure: error: pcre-config for libpcre not found. PCRE is required and
> available from http://pcre.org/
>
> These are directories that did get a Makefile.
>
> michael@x054:[/data/prj/alpha/httpd-2.3.4-alpha]find . -name Makefile
> ./srclib/apr/test/internal/Makefile
> ./srclib/apr/test/Makefile
> ./srclib/apr/Makefile
> ./srclib/apr-util/test/Makefile
> ./srclib/apr-util/Makefile
> michael@x054:[/data/prj/alpha/httpd-2.3.4-alpha]


Yes, 2.3+ will not bundle libpcre.

Grab a copy from www.pcre.org, install it, and add
--with-pcre=/your/pcre/prefix to your config flags, and hopefully it
should all work.

Mime
View raw message